Subject: bug#11738: 24.1.50; Regression: `modify-frame-parameters' is broken for `left' & `top'

From: "Drew Adams" <[email-masked]>
Date: Wed, 18 Jul 2012 06:32:48 -0700

> Paul Eggert's revision 108370 is responsible.  The part below 
> was bogus; reverted in trunk.  Paul---please be more careful
> when doing such code-churning.

Thank you for fixing it - I'll check with the next Windows binary and let you
know if I see any problem.

And thanks especially to William Crandall for adding his voice to the bug
thread, without which who knows whether there would ever have been any response
from Emacs Dev.

And let me repeat that you might want to consider adding to Emacs itself the
functionality (if not the same functions) that I mentioned is provided by my
(simple) code.

That would provide a more general/systematic/abstract way of handling frame
geometric parameters.